%global realname mustache
%global upstream mojombo

Name:		erlang-%{realname}
Version:	0.1.1
Release:	%mkrel 8
BuildArch:	noarch
Summary:	Mustache template engine for Erlang
Group:		Development/Erlang
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}.erl
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.erl.git
Source0:	https://github.com/%{upstream}/%{realname}.erl/archive/v%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-mustache-0001-Migrate-to-a-new-Meck.patch
BuildRequires:	erlang-meck
BuildRequires:	erlang-rebar

%description
An Erlang port of Mustache for Ruby. Mustache is a framework-agnostic template
system that enforces separation of view logic from the template file. Indeed, it
is not even possible to embed logic in the template. This allows templates to be
reused across language boundaries and for other language independent uses.


%prep
%setup -qn %{realname}.erl-%{version}
%autopatch -p1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%doc examples/ README.md
%license LICENSE
%{erlang_appdir}/



%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.1.1-8.mga9
+ Revision: 1838911
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 0.1.1-7.mga8
+ Revision: 1661736
- make pkg norch

* Wed Feb 12 2020 umeabot <umeabot> 0.1.1-6.mga8
+ Revision: 1511353
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 0.1.1-5.mga7
+ Revision: 1296380
- use erlang rpm macros in .spec

* Fri May 06 2016 neoclust <neoclust> 0.1.1-4.mga6
+ Revision: 1009758
- Rebuild post boostrap
- imported package erlang-mustache

